<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

use FOF30\Utils\FEFHelper\BrowseView;

defined('_JEXEC') or die;

?>
@extends('admin:com_ats/Common/browse')

@section('browse-filters')
    <div class="akeeba-filter-element akeeba-form-group">
        @searchfilter('title', 'title', 'COM_ATS_COMMON_TITLE')
    </div>

    <div class="akeeba-filter-element akeeba-form-group">
        {{ BrowseView::publishedFilter('enabled', 'JENABLED') }}
    </div>
@stop

@section('browse-table-header')
    <tr>
        <td width="50px">
            @sortgrid('ordering', '<i class="icon-menu-2"></i>')
        </td>
        <th width="20px">
            @jhtml('FEFHelper.browse.checkall')
        </th>
        <th>
            @sortgrid('title', 'COM_ATS_COMMON_TITLE')
        </th>
        <th>
            @lang('COM_ATS_COMMON_DESCR')
        </th>
        <th width="30px">
            @sortgrid('enabled', 'JENABLED')
        </th>
    </tr>
@stop

@section('browse-table-body-withrecords')
<?php
	/** @var \Akeeba\TicketSystem\Admin\Model\UserTags $row */
	$i = 0;
	$enabled = $this->container->platform->getUser()->authorise('core.edit.state', 'com_ats');
?>
	@foreach($this->items as $row)
        <tr>
            <td>
                @jhtml('FEFHelper.browse.order', 'ordering', $row->ordering)
            </td>
            <td>
                @jhtml('FEFHelper.browse.id', ++$i, $row->getId())
            </td>
            <td>
                <a href="@route(\FOF30\Utils\FEFHelper\BrowseView::parseFieldTags('index.php?option=com_ats&view=UserTags&task=edit&id=[ITEM:ID]', $row))">
                    {{{ $row->title }}}
                </a>
            </td>
            <td>
                {{{ $row->descr }}}
            </td>
            <td>
                @jhtml('FEFHelper.browse.published', $row->enabled, $i, '', $enabled)
            </td>
        </tr>
    @endforeach
@stop