var ticketPoints = [];
var postsPoints  = [];
var myMax        = 0;
var myMax2       = 0;

(function ($) {
    $(document).ready(function () {

        if (show_feedback && document.getElementById('userfeedback'))
        {
            $("#userfeedback").dataTable({
                "sDom":            "<<l>r>t<<i><p>>",
                "sPaginationType": "bootstrap"
            });

            $.extend($.fn.dataTableExt.oStdClasses, {
                "sWrapper": "dataTables_wrapper akeeba-form--inline"
            });
        }

        var url                       = "index.php?option=com_ats&view=TicketStatistics&layout=latest&enabled=1&groupbydate=1&public=&status=&format=json";
        $.jqplot.config.enablePlugins = true;
        $.getJSON(url, {
            "limitstart": 0,
            "limit":      0,
            "created_on": {
                "method":   "search",
                "operator": ">=",
                "value":    xday
            }
        }, function (data) {
            $.each(data, function (index, item) {
                ticketPoints.push([item.date, item.tickets]);
                myMax = Math.max(myMax, item.tickets);
            });
            myMax++;
            if (ticketPoints.length === 0)
            {
                $("#akthrobber").hide();
                $("#aknodata").show();
                return;
            }

            url = "index.php?option=com_ats&view=PostStatistics&layout=latest&enabled=1&groupbydate=1&format=json";
            $.getJSON(url, {
                "limitstart": 0,
                "limit":      0,
                "created_on": {
                    "method":   "search",
                    "operator": ">=",
                    "value":    xday
                }
            }, function (data) {
                $.each(data, function (index, item) {
                    postsPoints.push([item.date, item.posts]);
                    myMax2 = Math.max(myMax2, item.posts);
                });
                myMax2++;
                $("#akthrobber").hide();

                renderPlot();
            });
        });

        akeeba.jQuery("#reloadSpared").click(function () {
            $.ajax("index.php?option=com_ats&view=TicketStatistics&task=showspared&layout=spared&format=json", {
                dataType: "json",
                cache:    false,
                data:     {
                    "limitstart":  0,
                    "limit":       0,
                    created_since: $("#sinceSpared").val(),
                    created_until: $("#untilSpared").val()
                },
                success:  function (data) {
                    $("#akthrobberspared").hide();
                    renderSpared(data.tickets, data.categories);
                }
            });
        });

        akeeba.jQuery("#reloadSpared").click();

        // Check for ATS updates
        if ((typeof needsdlid != 'undefined') && !needsdlid)
        {
            $.ajax("index.php?option=com_ats&view=ControlPanels&task=updateinfo&tmpl=component", {
                success: function (msg, textStatus, jqXHR) {
                    // Get rid of junk before and after data
                    var match = msg.match(/###([\s\S]*?)###/);
                    data      = match[1];

                    if (data.length)
                    {
                        $("#updateNotice").html(data);
                    }
                }
            });
        }
    });

    function renderSpared(tickets, categories)
    {
        $.jqplot("aksparedtickets", tickets, {
            // Tell the plot to stack the bars.
            stackSeries:       true,
            captureRightClick: true,
            seriesDefaults:    {
                renderer:        $.jqplot.BarRenderer,
                rendererOptions: {
                    barMargin: 30
                },
                pointLabels:     {show: true}
            },
            axes:              {
                xaxis: {
                    renderer:     $.jqplot.CategoryAxisRenderer,
                    ticks:        categories,
                    tickRenderer: $.jqplot.CanvasAxisTickRenderer,
                    tickOptions:  {
                        angle:         -80,
                        labelPosition: "end",
                        fontSize:      "10pt"
                    }
                },
                yaxis: {
                    min: 0,
                    max: 100
                }
            },
            legend:            {
                show:      true,
                location:  "e",
                placement: "outside"
            },
            series:            [
                {label: Joomla.JText._("COM_ATS_CPANEL_OPENED")},
                {label: Joomla.JText._("COM_ATS_CPANEL_SAVED")}
            ],
            highlighter:       {
                tooltipAxes:  "y",
                formatString: "%d%"
            }
        });
    }

    function renderPlot()
    {
        plot1 = $.jqplot("akticketschart", [ticketPoints, postsPoints], {
            show:         true,
            axes:         {
                xaxis:  {renderer: $.jqplot.DateAxisRenderer, tickInterval: "1 week"},
                yaxis:  {min: 0, max: myMax, tickOptions: {formatString: "%u"}},
                y2axis: {min: 0, max: myMax2, tickOptions: {formatString: "%u"}}
            },
            series:       [
                {
                    yaxis:           "yaxis",
                    xaxis:           "xaxis",
                    //color: '#aae0aa',
                    lineWidth:       1,
                    renderer:        $.jqplot.BarRenderer,
                    rendererOptions: {barPadding: 0, barMargin: 0, barWidth: 5, shadowDepth: 0, varyBarColor: 0},
                    markerOptions:   {
                        style: "none"
                    }
                },
                {
                    yaxis:           "y2axis",
                    xaxis:           "xaxis",
                    lineWidth:       3,
                    markerOptions:   {
                        style: "filledCircle",
                        size:  8
                    },
                    renderer:        $.jqplot.hermiteSplineRenderer,
                    rendererOptions: {steps: 60, tension: 0.6}
                }
            ],
            highlighter:  {sizeAdjust: 7.5},
            axesDefaults: {useSeriesColor: true}
        });
    }
})(akeeba.jQuery);